Finds position of last occurrence of a string within another, case insensitive

- « mb_strrichr

- mb_strrpos »

- PHP Manual
- Multibyte String Functions
- Finds position of last occurrence of a string within another, case insensitive

# mb_strripos

(PHP 5 >= 5.2.0, PHP 7, PHP 8)

mb_strripos — Finds position of last occurrence of a string within another, case insensitive

### Description

mb_strripos(
string `$haystack`,
string `$needle`,
int `$offset` = 0,
?string `$encoding` = `null`
): int|false

mb_strripos() performs multi-byte safe strripos() operation based on number of characters. `needle` position is counted from the beginning of `haystack`. First character's position is 0. Second character position is 1. Unlike mb_strrpos(), mb_strripos() is case-insensitive.

### Parameters

`haystack`

  The string from which to get the position of the last occurrence of `needle`

`needle`

  The string to find in `haystack`

`offset`

  The position in `haystack` to start searching

`encoding`

  Character encoding name to use. If it is omitted, internal character encoding is used.

### Return Values

Return the numeric position of the last occurrence of `needle` in the `haystack` string, or `false` if `needle` is not found.

### Changelog

Version | Description
--- | ---
8.0.0 | `needle` now accepts an empty string.
8.0.0 | `encoding` is nullable now.

### See Also

- strripos() - Find the position of the last occurrence of a case-insensitive substring in a string
- strrpos() - Find the position of the last occurrence of a substring in a string
- mb_strrpos() - Find position of last occurrence of a string in a string